##
##  sysmon.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sysmon
Summary:      System Monitoring Tool
URL:          http://www.sysmon.org/
Vendor:       Jared Mauch
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Network
License:      GPL
Version:      0.91.14
Release:      20021219

#   list of sources
Source0:      ftp://puck.nether.net/pub/jared/sysmon-%{version}.tar.gz
Source1:      sysmon.conf
Source2:      rc.sysmon

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020826, ncurses, MTA, openssl, flex
PreReq:       OpenPKG, openpkg >= 20020826, ncurses, MTA
AutoReq:      no
AutoReqProv:  no

%description
    Sysmon is a network monitoring tool designed to provide high
    performance and accurate network monitoring. Currently supported
    protocols include SMTP, IMAP, HTTP, TCP, UDP, NNTP, and PING tests.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="-I%{l_prefix}/include" \
    LDFLAGS="-L%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/sysmon \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/var/sysmon
    %{l_shtool} install -c -s -m 755 \
        src/sysmon src/sysmond $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 \
        docs/sysmon.conf.man $RPM_BUILD_ROOT%{l_prefix}/man/man5/sysmon.conf.5
    %{l_shtool} install -c -m 644 \
        docs/sysmon.man $RPM_BUILD_ROOT%{l_prefix}/man/man8/sysmon.8
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE sysmon.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/sysmon/
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.sysmon} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

